# RSL_return_eth_sweep

### Synopsis

#include "rsl.h"
Sweep *RSL_return_eth_sweep.html( Vertical_structure *vs,int index);

### Description

Given a Vertical_structure data structure created by RSL_get_vertical_structure and a threshold index, return a Sweep data structure that contains echo top values. The threshold index corresponds to the original set of threshold values used to create the Vertical_structure. Index 0 is the first index.

### Return Value

Upon seccesful completion, a pointer to a Sweep data structure is returned. Otherwise a NULL pointer is returned.

### See also

RSL_return_zmax_sweep, RSL_return_hzmax_sweep, RSL_get_vertical_structure, RSL_free_vertical_structure, RSL_get_column,

Author: Dennis Flanigan Jr.